HLIST_ADD_AFTER_RCU(9)

NAME
hlist_add_after_rcu - adds the specified element to the specified hlist

SYNOPSIS

void hlist_add_after_rcu (struct hlist_node * prev, struct hlist_node * n);

ARGUMENTS

prev
    the existing element to add the new element after.

n   the new element to add to the hash list.

DESCRIPTION

The caller must take whatever precautions are necessary (such as holding appropriate locks) to avoid racing with another list-mutation primitive, such as hlist_add_head_rcu or hlist_del_rcu, running on this same list. However, it is perfectly legal to run concurrently with the _rcu list-traversal primitives, such as hlist_for_each_entry_rcu, used to prevent memory-consistency problems on Alpha CPUs.

DESCRIPTION

The caller must take whatever precautions are necessary (such as holding appropriate locks) to avoid racing with another list-mutation primitive, such as hlist_add_head_rcu or hlist_del_rcu, running on this same list. However, it is perfectly legal to run concurrently with the _rcu list-traversal primitives, such as hlist_for_each_entry_rcu, used to prevent memory-consistency problems on Alpha CPUs.